import { world, system } from "@minecraft/server"

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.itemComponentRegistry.registerCustomComponent('js:amnestic_booster', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('nausea', 600, { showParticles: true, amplifier: 0 });
            source.addEffect('strength', 600, { showParticles: true, amplifier: 2 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:candy1', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 140, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:candy2', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 140, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:candy3', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 140, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:cup1', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('instant_damage', 20, { showParticles: true, amplifier: 4 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:cup2', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 5100, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:cup3', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('saturation', 5100, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:cup4', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('nausea', 240, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:cup5', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('poison', 40, { showParticles: true, amplifier: 5 });
            source.addEffect('slowness', 40, { showParticles: true, amplifier: 2 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:cup6', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('resistance', 100, { showParticles: true, amplifier: 4 });
            source.addEffect('slowness', 100, { showParticles: true, amplifier: 4 });
            source.addEffect('absorption', 100, { showParticles: true, amplifier: 4 });
            source.addEffect('blindness', 100, { showParticles: true, amplifier: 4 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:gershy_bar', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 200, { showParticles: true, amplifier: 2 });
            source.addEffect('absorption', 1200, { showParticles: true, amplifier: 5 });
            source.addEffect('resistance', 600, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:medkit', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 140, { showParticles: true, amplifier: 1 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:scp207', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('wither', 240, { showParticles: true, amplifier: 1 });
            source.addEffect('speed', 240, { showParticles: true, amplifier: 4 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:scp420j', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('resistance', 360, { showParticles: true, amplifier: 19 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:scp420j2', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('resistance', 360, { showParticles: true, amplifier: 19 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:scp500', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 600, { showParticles: true, amplifier: 5 });
            source.addEffect('absorption', 2400, { showParticles: true, amplifier: 4 });
            source.addEffect('resistance', 2400, { showParticles: true, amplifier: 0 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:smallmedkit', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('regeneration', 140, { showParticles: true, amplifier: 2 });
        }
    });
    eventData.itemComponentRegistry.registerCustomComponent('scp:y909', {
        onConsume(e) {
            const { source, itemStack } = e;
            source.addEffect('blindness', 160, { showParticles: true, amplifier: 1 });
            source.addEffect('wither', 80, { showParticles: true, amplifier: 1 });
            source.addEffect('nausea', 240, { showParticles: true, amplifier: 1 });
        }
    });
});
